Name: libcairo
Version: 1.2.6
Release: alt1
Epoch: 1

Summary: Multi-platform 2D graphics library
License: LGPL
Group: System/Libraries
URL: http://cairographics.org/

Source: cairo-%version.tar.bz2

Provides: cairo = %version-%release
Obsoletes: cairo <= %version

# Automatically added by buildreq on Tue Nov 14 2006
BuildRequires: fontconfig-devel gcc-c++ gcc-fortran gtk-doc imake libXrender-devel libdirectfb-devel libfreetype-devel libpng-devel xorg-cf-files

%description
Cairo is a vector graphics library with cross-device output support.

%package devel
Summary: Headers for developing programs that will use cairo
Group: Development/C
Requires: %name = %version-%release
Provides: cairo-devel = %version-%release
Obsoletes: cairo-devel <= %version

%description devel
Cairo is a vector graphics library with cross-device output support.
This package contains the headers that programmers will need to develop
applications which will use cairo library.

%prep
%setup -q -n cairo-%version

%build
touch ChangeLog
autoreconf -isv
export lt_prog_compiler_static_works=no
%configure \
	--enable-xlib \
	--enable-directfb \
	--disable-glitz \
	--enable-ps \
	--enable-pdf \
	--enable-gtk-doc \
	#
%make_build
make -C doc/public doc

%ifndef __buildreqs
make -C test check || grep -c PASS test/*.log
%endif

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS NEWS README
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_datadir/gtk-doc/html/*

%changelog
* Tue Nov 14 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.6-alt1
- 1.2.4-ga5f068e -> 1.2.6 release

* Sat Sep 30 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.5-alt0.1
- this is the first build from git repository, which I cloned from
  git://git.cairographics.org/git/cairo; I started off with 1.2.4 release
  and applied all my changes to the source tree (this is master branch);
  then I merged in the changes from current 1.2 brnach (1.2.4-ga5f068e)
  and changed rpm package version according to the changes
- enabled test suite
- added CAIRO_DIRECTFB ABI for cairo_directfb_surface_create()

* Thu Sep 07 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.4-alt2
- enabled directfb backend

* Mon Aug 21 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.4-alt1
- 1.2.2 -> 1.2.4
- no longer provides/obsoletes libpixman

* Thu Aug 10 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.2-alt1
- 1.2.0 -> 1.2.2
- renamed CAIRO_1.2.0 ABI to CAIRO_1.2

* Wed Aug 02 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.0-alt3
- upstream fix for size-zero glyphs (#9830)

* Mon Jul 10 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.0-alt2
- fixed set_dpi.patch

* Sun Jul 02 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.0-alt1
- 1.0.4 -> 1.2.0
- restored cairo_ps_surface_set_dpi() and cairo_pdf_surface_set_dpi()
  as aliases to cairo_surface_set_fallback_resolution() to preserve
  binary compatibility with libcairomm etc.
- introduced CAIRO_1.2.0 ABI
- packaged gtk-doc files

* Mon Apr 24 2006 Alexey Tourbin <at@altlinux.ru> 1:1.0.4-alt2
- urgency=high (for 1:1.0.4-alt1): use --enable-pdf and --enable-ps
  again to preserve ABI; also provide cairo_glitz_surface_create() stub
- restricted the list of symbols exported by the library

* Mon Apr 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.4-alt1
- 1.0.4

* Mon Feb 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt0.1
- CVS snapshot 20060213

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.2-alt3.1
- Rebuilt for new pkg-config dependencies.

* Thu Jan 19 2006 Dmitry V. Levin <ldv@altlinux.org> 1.0.2-alt3
- Backported upstream fix for text relocations.

* Tue Jan 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt2
- added verify_elf_method textrel=relaxed

* Tue Oct 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Fri Aug 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Wed Aug 10 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Sat Jul 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.5.2-alt1
- 0.5.2

* Fri May 13 2005 Kachalov Anton <mouse@altlinux.ru> 0.4.0-alt1
- 0.4.0

* Sat Feb 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Wed Aug 25 2004 Kachalov Anton <mouse@altlinux.ru> 0.1.23-alt2
- added missed requires to libglitz-devel

* Thu Jul 08 2004 Kachalov Anton <mouse@altlinux.ru> 0.1.23-alt1
- first build for Sisyphus

